On Saturday, 28 December 2013 at 06:55:21 UTC, ilya-stromberg wrote:
Additional request: please use more intuitive version number, see http://semver.org/ because current version scheme doesn't provide any additional information.
Please use:
1) 1-st digit if you need to upgrade the MonoDevelop version with incompatible API changes 2) 2-nd digit if you have new features, code refactoring or any other big code change
3) 3-d digit if you have only bug fixes
It can help a lot. For example, 2 last Mono-D versions should have 0.5.6.0 and 0.5.6.1 numbers.


Anyway, thank you for the hint. I think I'll push a new major version as soon as there's a new MD version that features breaking API - although it must feel strange to have so ridiculously high version numbers (see Chrome/FF and others).

Numbers greater than 9 should be okay as well - so I'll have versions like 22.30.4 then :-)



Cheers,
Alex

Reply via email to